# EdgeSplitModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``EdgeSplitModifier`(Modifier)

  Edge splitting modifier to create sharp edges

  `split_angle`

    Angle above which to split edges

    Type: | float in [0, 3.14159], default 0.0

  `use_edge_angle`

    Split edges with high angle between faces

    Type: | boolean, default False

  `use_edge_sharp`

    Split edges that are marked as sharp

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`